Installation and Configuration of Ghostscript

From Scribus Wiki
Revision as of 02:20, 23 July 2010 by Gpittman (Talk | contribs)

Jump to: navigation, search

Ghostscript is needed by Scribus for two purposes, namely the print preview (File > Print Preview) and the rasterisation of EPS files in image frames. If you don't need one of those features, you can safely ignore the warning message displayed by Scribus in case Ghostscript isn't installed.

Contrary to some reports in the press, Ghostscript is not required for PDF or EPS export, since Scribus has its own code to handle this feature.

Recommended/required Ghostscript versions

Generally speaking, you want to have the latest ghostscript you can find. You should find anything since 8.60 to be serviceable, but as of this writing the current version is 8.71. As far as we know, you cannot go wrong by potentially having some "too far advanced" version of Ghostscript.

Building Ghostscript from source on Linux/UNIX

Download the latest tarball

Installing Ghostscript as a binary on Linux/UNIX

Installing Ghostscript on Windows

Download resources

Installing Ghostscript on Mac OS X

MacPorts

Ghostscript DMGs

Building from source

Installing Ghostscript on OS/2 and eComStation

Download resources

Installation

Enabling Scribus to use Ghostscript

Ghostscript and fonts